Autore Topic: Errore nell'installazione  (Letto 1129 volte)

Offline gabric

  • Utente senior
  • ****
  • Post: 615
  • Respect: +18
    • Google+
    • Mostra profilo
    • Brancato's site
  • Dispositivo Android:
    Nexus 5 / Tablet mediacom s4
  • Play Store ID:
    Brancato's+app
  • Sistema operativo:
    window7. ubuntu
Errore nell'installazione
« il: 18 Marzo 2012, 12:48:59 CET »
0
Salve, sto cercando di implementare le mappe nella mia applicazione, ho messo le api google (dato che importo pacchetti da com.google...
ma al momento dell'instalalzione sul dispositivo ottengo questo errore:

[2012-03-18 12:47:25 - koreapp1] Installation error: INSTALL_FAILED_MISSING_SHARED_LIBRARY
[2012-03-18 12:47:25 - koreapp1] Please check logcat output for more details.
[2012-03-18 12:47:25 - koreapp1] Launch canceled!

premetto ceh sto installando su un app con il 4.03
ma la stessa cosa succede se provo ad avviare un app con api google...
idee?

Offline DarnellNajanReed

  • Utente normale
  • ***
  • Post: 359
  • Respect: +49
    • Google+
    • Mostra profilo
  • Dispositivo Android:
    LG Optimus One, Acer Iconia A500/501, Asus Transformer Prime, Galaxy ACE, Galaxy S Plus, Galaxy S Advance P, Galaxy Tab 2 7.0, Google Nexus 7
  • Play Store ID:
    Luigi Notaro
  • Sistema operativo:
    OS X 10.8.3
Re:Errore nell'installazione
« Risposta #1 il: 18 Marzo 2012, 13:24:55 CET »
0
Te lo dice anche l'output: posta il logcat  ;-)

Codice (Java): [Seleziona]
[2012-03-18 12:47:25 - koreapp1] Please check logcat output for more details.

Offline gabric

  • Utente senior
  • ****
  • Post: 615
  • Respect: +18
    • Google+
    • Mostra profilo
    • Brancato's site
  • Dispositivo Android:
    Nexus 5 / Tablet mediacom s4
  • Play Store ID:
    Brancato's+app
  • Sistema operativo:
    window7. ubuntu
Re:Errore nell'installazione
« Risposta #2 il: 18 Marzo 2012, 13:47:12 CET »
0
eh si, ho scordato di dire che nel logcat non compare niente...

Offline DarnellNajanReed

  • Utente normale
  • ***
  • Post: 359
  • Respect: +49
    • Google+
    • Mostra profilo
  • Dispositivo Android:
    LG Optimus One, Acer Iconia A500/501, Asus Transformer Prime, Galaxy ACE, Galaxy S Plus, Galaxy S Advance P, Galaxy Tab 2 7.0, Google Nexus 7
  • Play Store ID:
    Luigi Notaro
  • Sistema operativo:
    OS X 10.8.3

Offline gabric

  • Utente senior
  • ****
  • Post: 615
  • Respect: +18
    • Google+
    • Mostra profilo
    • Brancato's site
  • Dispositivo Android:
    Nexus 5 / Tablet mediacom s4
  • Play Store ID:
    Brancato's+app
  • Sistema operativo:
    window7. ubuntu
Re:Errore nell'installazione
« Risposta #4 il: 18 Marzo 2012, 14:57:57 CET »
0
l'avevo già trovato, ma il mio problema è che in
"
This can be done in Eclispe Windows/Android SDK and AVD Manager -> Available Packages -> Third Party Add-ons"
[/size]
non ho android sdk and avd manager, ma i due menu separati, sdk manager e avd. inoltre dal sdk non trovo dove seleziona gli adOns di terze parti
la cosa particolare, è che nn riesco ad avviare un emulatore con le google api.. cioè resta in boot per sempre e si blocca sulla schermata android
« Ultima modifica: 18 Marzo 2012, 15:03:25 CET da gabric »

Offline DarnellNajanReed

  • Utente normale
  • ***
  • Post: 359
  • Respect: +49
    • Google+
    • Mostra profilo
  • Dispositivo Android:
    LG Optimus One, Acer Iconia A500/501, Asus Transformer Prime, Galaxy ACE, Galaxy S Plus, Galaxy S Advance P, Galaxy Tab 2 7.0, Google Nexus 7
  • Play Store ID:
    Luigi Notaro
  • Sistema operativo:
    OS X 10.8.3
Re:Errore nell'installazione
« Risposta #5 il: 18 Marzo 2012, 15:01:02 CET »
0
La voce che ti serve per scaricare gli add-ons è Window-> Android SDK Manager. Da lì puoi aggiornare le versioni dell'sdk e aggiungere i vari add ons.

Offline gabric

  • Utente senior
  • ****
  • Post: 615
  • Respect: +18
    • Google+
    • Mostra profilo
    • Brancato's site
  • Dispositivo Android:
    Nexus 5 / Tablet mediacom s4
  • Play Store ID:
    Brancato's+app
  • Sistema operativo:
    window7. ubuntu
Re:Errore nell'installazione
« Risposta #6 il: 18 Marzo 2012, 15:38:15 CET »
0
si ma nn vedo niente relativo alle maps...



Offline DarnellNajanReed

  • Utente normale
  • ***
  • Post: 359
  • Respect: +49
    • Google+
    • Mostra profilo
  • Dispositivo Android:
    LG Optimus One, Acer Iconia A500/501, Asus Transformer Prime, Galaxy ACE, Galaxy S Plus, Galaxy S Advance P, Galaxy Tab 2 7.0, Google Nexus 7
  • Play Store ID:
    Luigi Notaro
  • Sistema operativo:
    OS X 10.8.3
Re:Errore nell'installazione
« Risposta #7 il: 18 Marzo 2012, 15:45:42 CET »
0
Dallo screenshot si vede che non hai installato nessuna versione delle Google APIs.
[Edit: svarione mio, hai installato le ultime.]

Comunque, ti lascio un link alla documentazione ufficiale: http://code.google.com/android/add-ons/google-apis/installing.html. Il bello delle Google-cose è che sono sempre molto documentate  :-)

[RI-edit] Non avevo fatto caso al tuo edit....ad ogni modo, suppongo che il messaggio di errore ti appaia solo su un adv che boota, quindi senza le google apis installate. Giusto? Il che torna....non puoi testare su un device fisico? a volte far fungere l'emulatore è frustrante purtroppo ç__ç
« Ultima modifica: 18 Marzo 2012, 15:59:00 CET da DarnellNajanReed »

Offline gabric

  • Utente senior
  • ****
  • Post: 615
  • Respect: +18
    • Google+
    • Mostra profilo
    • Brancato's site
  • Dispositivo Android:
    Nexus 5 / Tablet mediacom s4
  • Play Store ID:
    Brancato's+app
  • Sistema operativo:
    window7. ubuntu
Re:Errore nell'installazione
« Risposta #8 il: 18 Marzo 2012, 16:01:01 CET »
0
il problema del testare sul device fisico, è che non riesco a generare l'md5 per le mappe... io ho inserito quello rilasciatomi da google, ma lui mi da errore... inoltre, in questo modo, non posso andar avanti con le altre funzioni (oltre le mappe)